## Apache Zeta Components Manual :: Docs For Class ezcMvcMailBugzillaRequestFilter

### MvcTools::ezcMvcMailBugzillaRequestFilter

### Class ezcMvcMailBugzillaRequestFilter

Request filter that ...

Source for this file: /MvcMailTiein/src/request_filters/bugzilla.php

### Implements interfaces:

- ezcMvcRequestFilter

Version: | //autogentag//

### Method Summary

public void | `filterRequest( $request )` This function
public void | `setOptions( $options )` Should not be called with any options, as this filter doesn't support any.

### Methods

#### filterRequest

void filterRequest( ezcMvcRequest $request )

This function

##### Parameters:

Name | Type | Description
--- | --- | ---
`$request` | ezcMvcRequest |

##### Implementation of:

Method | Description
--- | ---
`ezcMvcRequestFilter::filterRequest()` | Alters the request object.

#### setOptions

void setOptions( $options )

Should not be called with any options, as this filter doesn't support any.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array |

##### Exceptions:

Type | Description
--- | ---
`ezcMvcFilterHasNoOptionsException` | if the $options array is not empty.

##### Implementation of:

Method | Description
--- | ---
`ezcMvcRequestFilter::setOptions()` | Sets options on the filter object

Documentation generated by phpDocumentor 1.4.3